%define	pkgname	one-hyperv
Name:		opennebula-driver-hyperv
Version:	2.9.82
Release:	1.14
License:	Apache License version 2.0
Summary:	Hyper-V driver for OpenNebula
URL:		http://www.opennebula.org
Group:		Productivity/Networking/System
Source0:	%{pkgname}-%{version}.tar.bz2
Source1:	README-AFTER-SETUP
Patch0:		%{pkgname}-destdir.patch
BuildRequires:	opennebula >= 3.0.0
Requires:	opennebula >= 3.0.0
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
This is the distribution of OpenNebula Hyper-V Driver Addon.

%prep
%setup -n %{pkgname}-%{version}
%patch0

%build

%install
cp %{S:1} .
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_sysconfdir}/one
mkdir -p %{buildroot}%{_prefix}/lib/one/tm_commands
mkdir -p %{buildroot}/var/lib/one/remotes/im
mkdir -p %{buildroot}/var/lib/one/remotes/vmm
export DESTDIR=%{buildroot}
install.sh

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README-AFTER-SETUP
%dir %{_sysconfdir}/one/tm_hyperv
%config %{_sysconfdir}/one/tm_hyperv/tm_hyperv.conf
%config %{_sysconfdir}/one/tm_hyperv/tm_hypervrc
%{_bindir}/hyperv
%dir /var/lib/one/remotes/im/hyperv.d
/var/lib/one/remotes/im/hyperv.d/hyperv
%dir /var/lib/one/remotes/vmm/hyperv
/var/lib/one/remotes/vmm/hyperv/cancel
/var/lib/one/remotes/vmm/hyperv/deploy
/var/lib/one/remotes/vmm/hyperv/poll
/var/lib/one/remotes/vmm/hyperv/shutdown
%dir %{_prefix}/lib/one/tm_commands/hyperv
%{_prefix}/lib/one/tm_commands/hyperv/tm_clone.sh
%{_prefix}/lib/one/tm_commands/hyperv/tm_context.sh
%{_prefix}/lib/one/tm_commands/hyperv/tm_delete.sh
%{_prefix}/lib/one/tm_commands/hyperv/tm_ln.sh
%{_prefix}/lib/one/tm_commands/hyperv/tm_mkimage.sh
%{_prefix}/lib/one/tm_commands/hyperv/tm_mkswap.sh
%{_prefix}/lib/one/tm_commands/hyperv/tm_mv.sh

%changelog
* Mon Oct 31 2011 cs@linux-administrator.com
- initial package
